Bug 27001 - Using alias not in scope for nested class inheritence
Summary: Using alias not in scope for nested class inheritence
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 3.10.0
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-02-12 12:47 UTC by neil.sculthorpe
Modified: 2015-02-13 08:38 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description neil.sculthorpe 2015-02-12 12:47:27 UTC
The following code is rejected by the Mono compiler, with the error "The type or namespace name `X' could not be found.":

namespace N {

  using X = A.B;

  class A {

     public class B {}

     public class C : X {}
  }
}

I think it is meant to be in scope.  For example, a similar program where X is used instead inside the body of class C, does compile successfully:

namespace N {

  using X = A.B;

  class A {

     public class B {}

     public class C { X x; }
  }
}

I've tested this using Mono 3.2.8 and Mono 3.10.0
Comment 1 Marek Safar 2015-02-13 08:38:08 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 27001 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: